petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecChop

Set all values in the vector with an absolute value less than the tolerance to zero

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecChop(Vec v, PetscReal tol)

### Input Parameters

| v | - The vector
| tol | - The zero tolerance

### Output Parameters

v -The chopped vector

### See Also

VecCreate(), VecSet()

### Level

intermediate

### Location

src/vec/vec/utils/vecio.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages